#ifndef SENTENCE_H_
#define SENTENCE_H_

#include <iostream>
#include <string>
#include "./Phrase.h"

using namespace std;

class Sentence: public Phrase {
  public:
    Sentence(const string& phrase = "") : Phrase(phrase) {}
    virtual ~Sentence(){}

    const Phrase getSubstring(const unsigned start, const unsigned end) const{
      Phrase substring;
      if(language == SRC)
        return Phrase( WordIDArray(&wordIDArray[start], &wordIDArray[end+1]) );
      else // language == TGT
        return Phrase( WordIDArray(&wordIDArray[start], &wordIDArray[end+1]),
                        LMWordIDArray(&lmWordIDArray[start], &lmWordIDArray[end+1]),
                        TGT );
    }
};

#endif /* SENTENCE_H_ */
